# ActionGroups(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ActionGroups`(bpy_struct)

  Collection of action groups

  `new`(name)

    Create a new action group and add it to the action

    Parameters: | name (string, (never None)) – New name for the action group
    Returns: | Newly created action group
    Return type: | `ActionGroup`

  `remove`(action_group)

    Remove action group

    Parameters: | action_group (`ActionGroup`, (never None)) – Action group to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Action.groups` |